import request from '/@/utils/request';

//首页数据展示
export function getHomePageData(params: string) {
	return request({
		url: '/common/getHomePageData',
		method: 'post',
		headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
//首页饼图数据 /patient/hemo/med/record/getHomePageStat2
export function getHomePageStat2(clientCode:string,date:string) {
	return request({
		url: '/patient/hemo/med/record/getHomePageStat2',
		method: 'post',
		headers: {
			 'Content-Type': 'application/json'
        },
		data: {clientCode,date}
	});
}

// 首页透析设备列表数据 /patient/hemo/med/record/getHomePageStat3
export function getHomePageStat3(clientCode:string,date:string) {
	return request({
		url: '/patient/hemo/med/record/getHomePageStat3',
		method: 'post',
		headers: {
            'Content-Type': 'application/json'
        },
		data: {clientCode,date}
	});
}

export function uploadPhoto(params: any) {
	return request({
		url: '/common/uploadPhoto',
		method: 'post',
		data: params,
	});
}

export function getVersionList(params:object) {
	return request({
		url: '/system/version/list',
		method: 'post',
		headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		params
	});
}

export function AddVersion(params: object) {
	return request({
		url: '/system/version/save',
		method: 'post',
		headers: {
            'Content-Type': 'application/json'
        },
		data: params,
	});
}

export function deleteId(params: string) {
	return request({
		url: '/system/version/delete',
		method: 'post',
        headers: {
            'Content-Type': 'application/x-www-form-urlencoded'
        },
		data: params,
	});
}
